﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using System.Collections.ObjectModel;

namespace SharedClassLibrary
{
    public partial class ChartUserControl : UserControl
    {
        public ChartUserControl()
        {
            InitializeComponent();
        }
    }

    public class ViewModel
    {
        readonly Random rnd = new Random();
        public ViewModel()
        {
            DataModels = new ObservableCollection<Model>();
            for (int i = 1; i < 5; i++)
                DataModels.Add(new Model() { Xvalue = i, Yvalue = rnd.Next(10, 50) });
        }
        public ObservableCollection<Model> DataModels { get; set; }
    }

    public class Model
    {
        public double Xvalue { get; set; }
        public double Yvalue { get; set; }
    }
}
